Bug 210935 - security/govpn: Update to 5.10
Summary: security/govpn: Update to 5.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-07-09 06:53 UTC by Sergey Matveev
Modified: 2016-07-10 21:05 UTC (History)
2 users (show)

See Also:


Attachments
Update patch from 5.9 to 5.10 (774 bytes, patch)
2016-07-09 06:53 UTC, Sergey Matveev
vlad-fbsd: maintainer-approval? (stargrave)
stargrave: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Matveev 2016-07-09 06:53:56 UTC
Created attachment 172275 [details]
Update patch from 5.9 to 5.10

Update GoVPN to 5.10.
Comment 1 VK freebsd_triage 2016-07-09 09:45:40 UTC
Sergey, thanks for the patch. Can you please confirm the changes pass QA (portlint, poudriere)?
Comment 2 VK freebsd_triage 2016-07-09 09:47:04 UTC
Comment on attachment 172275 [details]
Update patch from 5.9 to 5.10

Please flag the attachment with maintainer-approval(+) to help us track the issue better. Please do so for all the attachments for ports you're maintainer of. ;)
Comment 3 Sergey Matveev 2016-07-09 13:25:21 UTC
(In reply to Vladimir Krstulja from comment #1)

Yes, it passes my QA:

# poudriere testport -o security/govpn -j govpnjail
[00:00:01] ====>> Creating the reference jail... done
[00:00:01] ====>> Mounting system devices for govpnjail-default
[00:00:01] ====>> Mounting ports/packages/distfiles
[00:00:01] ====>> Using packages from previously failed build
[00:00:01] ====>> Mounting packages from: /usr/local/poudriere/data/packages/govpnjail-default
/etc/resolv.conf -> /usr/local/poudriere/data/.m/govpnjail-default/ref/etc/resolv.conf
[00:00:01] ====>> Starting jail govpnjail-default
[00:00:01] ====>> Logs: /usr/local/poudriere/data/logs/bulk/govpnjail-default/2016-07-09_16h08m42s
[00:00:01] ====>> Loading MOVED
[00:00:01] ====>> Calculating ports order and dependencies
[00:00:02] ====>> pkg package missing, skipping sanity
[00:00:02] ====>> Skipping incremental rebuild and repository sanity checks
[00:00:02] ====>> Cleaning the build queue
[00:00:02] ====>> Recording filesystem state for prepkg... done
[00:00:06] ====>> Building 4 packages using 4 builders
[00:00:06] ====>> Starting/Cloning builders
[00:00:11] ====>> Hit CTRL+t at any time to see build progress and stats
[00:00:11] ====>> [01][00:00:00] Starting build of ports-mgmt/pkg
[00:01:46] ====>> [01][00:01:35] Finished build of ports-mgmt/pkg: Success
[00:01:47] ====>> [01][00:00:00] Starting build of lang/go14
[00:01:47] ====>> [02][00:00:00] Starting build of print/indexinfo
[00:01:50] ====>> [02][00:00:03] Finished build of print/indexinfo: Success
[00:04:41] ====>> [01][00:02:54] Finished build of lang/go14: Success
[00:04:41] ====>> [01][00:00:00] Starting build of lang/go
[00:09:55] ====>> [01][00:05:14] Finished build of lang/go: Success
[00:09:56] ====>> Stopping 4 builders
[00:10:08] ====>> Creating pkgng repository
Creating repository in /tmp/packages: 100%
Packing files for repository: 100%
[00:10:13] ====>> Committing packages to repository
[00:10:13] ====>> Removing old packages
[00:10:13] ====>> Portlint check
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
[00:10:14] ====>> Building with flags:
[00:10:14] ====>> Removing existing /usr/local
build started at Sat Jul  9 16:18:56 MSK 2016
port directory: /usr/ports/security/govpn
building for: FreeBSD govpnjail-default 10.3-RELEASE-p5 FreeBSD 10.3-RELEASE-p5 amd64
maintained by: stargrave@stargrave.org
Makefile ident:      $FreeBSD: head/security/govpn/Makefile 418188 2016-07-07 15:50:29Z amdmi3 $
Poudriere version: 3.1.14
Host OSVERSION: 1003000
Jail OSVERSION: 1003000

---Begin Environment---
PKGREPOSITORY=/tmp/pkgs
PACKAGES=/tmp/pkgs
SHELL=/bin/csh
UNAME_v=FreeBSD 10.3-RELEASE-p5
UNAME_r=10.3-RELEASE-p5
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=screen-256color
NO_WARNING_PKG_INSTALL_EOL=yes
MASTERMNT=/usr/local/poudriere/data/.m/govpnjail-default/ref
UID=0
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
OSREL=10.3
_OSRELEASE=10.3-RELEASE-p5
PYTHONBASE=/usr/local
OLDPWD=/usr/local/poudriere/data/.m/govpnjail-default/ref/.p/pool
_SMP_CPUS=4
PWD=/usr/local/poudriere/data/.m/govpnjail-default/ref/usr/ports/security/govpn
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=govpnjail-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/testport.sh
TRYBROKEN=yes
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1003000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/govpn/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/govpn/work  HOME=/wrkdirs/usr/ports/security/govpn/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/govpn/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/govpn/work  HOME=/wrkdirs/usr/ports/security/govpn/work TMPDIR="/tmp" NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/govpn"
EXAMPLESDIR="share/examples/govpn"
DATADIR="share/govpn"
WWWDIR="www/govpn"
ETCDIR="etc/govpn"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/govpn
DOCSDIR=/usr/local/share/doc/govpn
EXAMPLESDIR=/usr/local/share/examples/govpn
WWWDIR=/usr/local/www/govpn
ETCDIR=/usr/local/etc/govpn
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3+ accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   govpn-5.10 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.8.7.txz
[govpnjail-default] Installing pkg-1.8.7...
[govpnjail-default] Extracting pkg-1.8.7: .......... done
===>   govpn-5.10 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of govpn-5.10
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3+ accepted by the user
===>   govpn-5.10 depends on file: /usr/local/sbin/pkg - found
=> govpn-5.10.tar.xz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://www.cypherpunks.ru/govpn/download/govpn-5.10.tar.xz
govpn-5.10.tar.xz                                        0  B    0  Bps
===> Fetching all distfiles required by govpn-5.10 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3+ accepted by the user
===>   govpn-5.10 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by govpn-5.10 for building
=> SHA256 Checksum OK for govpn-5.10.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3+ accepted by the user
===>   govpn-5.10 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by govpn-5.10 for building
===>  Extracting for govpn-5.10
=> SHA256 Checksum OK for govpn-5.10.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for govpn-5.10
===========================================================================
=======================<phase: build-depends  >============================
===>   govpn-5.10 depends on executable: go - not found
===>   Installing existing package /packages/All/go-1.6.2_1,1.txz
[govpnjail-default] Installing go-1.6.2_1,1...
[govpnjail-default] Extracting go-1.6.2_1,1: .......... done
===>   govpn-5.10 depends on executable: go - found
===>   Returning to build of govpn-5.10
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
====>> Recording filesystem state for prebuild... done
=======================<phase: configure      >============================
===>   govpn-5.10 depends on executable: go - found
===>  Configuring for govpn-5.10
===========================================================================
=======================<phase: build          >============================
===>  Building for govpn-5.10
--- govpn-client ---
--- govpn-server ---
--- govpn-verifier ---
--- govpn-client ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-5.10 go build -ldflags "-X cypherpunks.ru/govpn.Version=5.10" cypherpunks.ru/govpn/cmd/govpn-client
--- govpn-server ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-5.10 go build -ldflags "-X cypherpunks.ru/govpn.Version=5.10" cypherpunks.ru/govpn/cmd/govpn-server
--- govpn-verifier ---
GOPATH=/wrkdirs/usr/ports/security/govpn/work/govpn-5.10 go build -ldflags "-X cypherpunks.ru/govpn.Version=5.10" cypherpunks.ru/govpn/cmd/govpn-verifier
===========================================================================
====>> Checking for filesystem violations... done
=======================<phase: run-depends    >============================
===>   govpn-5.10 depends on executable: indexinfo - not found
===>   Installing existing package /packages/All/indexinfo-0.2.4.txz
[govpnjail-default] Installing indexinfo-0.2.4...
[govpnjail-default] Extracting indexinfo-0.2.4: .... done
===>   govpn-5.10 depends on executable: indexinfo - found
===>   Returning to build of govpn-5.10
===========================================================================
====>> Recording filesystem state for prestage... done
=======================<phase: stage          >============================
===>  Staging for govpn-5.10
===>   govpn-5.10 depends on executable: indexinfo - found
===>   Generating temporary packing list
/usr/bin/make -C doc
mkdir -p /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin
cp -f govpn-client govpn-server govpn-verifier /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin
chmod 755 /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-client /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-server /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-verifier
mkdir -p /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/info
cp -f doc/govpn.info /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/info
chmod 644 /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/info/govpn.info
mkdir -p /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/govpn
cp -f utils/newclient.sh /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/govpn
chmod 755 /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/govpn/newclient.sh
mkdir -p /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/doc/govpn
cp -f -L AUTHORS INSTALL NEWS README README.RU THANKS /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/doc/govpn
chmod 644 /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/doc/govpn/*
strip /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-client /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-server /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/bin/govpn-verifier
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for govpn-5.10
===========================================================================
=======================<phase: install-mtree  >============================
===========================================================================
====>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for govpn-5.10
===>   govpn-5.10 depends on executable: indexinfo - found
===>  Checking if govpn already installed
===>   Registering installation for govpn-5.10
[govpnjail-default] Installing govpn-5.10...
===========================================================================
====>> Checking shared library dependencies
 0x0000000000000001 (NEEDED)             Shared library: [libc.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libthr.so.3]
=======================<phase: deinstall      >============================
===>  Deinstalling for govpn
===>   Deinstalling govpn-5.10
Updating database digests format: .... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        govpn-5.10

Number of packages to be removed: 1

The operation will free 16 MiB.
[govpnjail-default] [1/1] Deinstalling govpn-5.10...
[govpnjail-default] [1/1] Deleting files for govpn-5.10: .......... done
===========================================================================
====>> Checking for extra files and directories
[00:11:22] ====>> Installing from package
[govpnjail-default] Installing govpn-5.10...
[govpnjail-default] Extracting govpn-5.10: .......... done
[00:11:23] ====>> Cleaning up
===>  Cleaning for govpn-5.10
[00:11:23] ====>> Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        govpn-5.10

Number of packages to be removed: 1

The operation will free 16 MiB.
[govpnjail-default] [1/1] Deinstalling govpn-5.10...
[govpnjail-default] [1/1] Deleting files for govpn-5.10: .......... done
build of security/govpn ended at Sat Jul  9 16:20:04 MSK 2016
build time: 00:01:08
[00:11:23] ====>> Cleaning up
[00:11:23] ====>> Umounting file systems
</pre>

portlint says that there are no errors.
Comment 4 VK freebsd_triage 2016-07-09 13:28:55 UTC
Thank you. A short confirmation suffices, attaching or pasting build logs only clutters the Bugzilla database. ;)
Comment 5 Sergey Matveev 2016-07-09 13:29:55 UTC
(In reply to Vladimir Krstulja from comment #2)

Ok, will remember that. Will flag my patches with maintainer-approval(+).
Comment 6 Sergey Matveev 2016-07-09 13:32:22 UTC
(In reply to Vladimir Krstulja from comment #4)

Oh, I see. Will take that into account!
Comment 7 commit-hook freebsd_committer 2016-07-10 21:05:40 UTC
A commit references this bug:

Author: pawel
Date: Sun Jul 10 21:04:40 UTC 2016
New revision: 418345
URL: https://svnweb.freebsd.org/changeset/ports/418345

Log:
  Update to version 5.10

  PR:		210935
  Submitted by:	maintainer

Changes:
  head/security/govpn/Makefile
  head/security/govpn/distinfo